default to lowlatency kernel for ubuntustudio builds

Bug #956250 reported by Colin Watson on 2012-03-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu CD Images
Undecided
Colin Watson
livecd-rootfs (Ubuntu)
Undecided
Colin Watson

Bug Description

Split out from bug 955617 because it's really a separate issue. Scott Lavender said:

  luke (themuso) commented on IRC "livecd-rootfs package needs updating to use the lowlatency kernel for studio" (0)

  i will follow up in #ubuntu-devel

  (0)http://irclogs.ubuntu.com/2012/03/15/%23ubuntustudio-devel.html

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.58

---------------
livecd-rootfs (2.58) precise; urgency=low

  * Use lowlatency kernel for Ubuntu Studio (LP: #956250).
 -- Colin Watson <email address hidden> Thu, 15 Mar 2012 18:08:44 +0000

Changed in livecd-rootfs (Ubuntu):
status: New → Fix Released
Colin Watson (cjwatson) on 2012-03-15
Changed in livecd-rootfs (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
Scott Lavender (slavender) wrote :

colin, can we please use the linux-lowlatency-pae kernel by default?

discussion for this decision:
[13:09] <micahg> scott-work: I think you might want the pae kernel for i386 as studio is targetted to beefier machines
[13:09] <scott-work> micahg: is there a downside to choosing pae?
[13:10] <micahg> the non-pae kernel on i386 means machines with >4GB RAM won't be able to address it
[13:10] <scott-work> right, but is there a sacrifice to using the pae?
[13:10] <micahg> the downside to pae is older machines and older laptops netbooks won't be able to boot off the image
[13:11] <scott-work> i wonder if we would start seeing bug reports of these machines not booting then :P
[13:11] <scott-work> i'm still leaning towards just keeping linux-lowlatency , to be honest
[13:11] <micahg> scott-work: upgrades would work, it's just the live DVD won't
[13:12] <micahg> it depends on who your audience is
[13:12] <scott-work> i believe our current kernel is not pae enabled, so in this regard we wouldn't be "changing"
[13:12] <micahg> people with more RAM just have an extra step to install the PAE kernel
[13:12] <scott-work> BUT, we will be giving them more performance
[13:12] <scott-work> hmmm
[13:13] <micahg> well, the default in 12.04 for i386 is the PAE kernel
[13:13] <scott-work> oh, hmmm
[13:13] <micahg> but you have the choice here
[13:13] <scott-work> okay, i'll tell cjwatson then

http://irclogs.ubuntu.com/2012/03/15/%23ubuntustudio-devel.html

Micah Gersten (micahg) on 2012-03-15
Changed in livecd-rootfs (Ubuntu):
status: Fix Released → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.59

---------------
livecd-rootfs (2.59) precise; urgency=low

  * Switch Ubuntu Studio to lowlatency-pae kernel rather than lowlatency
    (LP: #956250).
 -- Colin Watson <email address hidden> Thu, 15 Mar 2012 18:35:14 +0000

Changed in livecd-rootfs (Ubuntu):
status: Triaged → Fix Released
Colin Watson (cjwatson) wrote :

revno: 1760
committer: Colin Watson <email address hidden>
branch nick: debian-cd
timestamp: Thu 2012-03-15 18:57:16 +0000
message:
  use -lowlatency kernel flavour for Ubuntu Studio (LP: #956250)

Changed in ubuntu-cdimage:
assignee: nobody → Colin Watson (cjwatson)
status: New → Fix Released
Colin Watson (cjwatson) wrote :

Whoops, doing too many things at once!

revno: 1761
committer: Colin Watson <email address hidden>
branch nick: debian-cd
timestamp: Thu 2012-03-15 18:57:54 +0000
message:
  lowlatency-pae, not lowlatency

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers